<nz-drawer
    nzPlacement="right"
    [nzTitle]="header"
    [nzWidth]="500"
    [nzClosable]="false"
    [nzVisible]="isVisible"
    (nzOnClose)="onClose()">
    <div 
        *ngIf="member"
        fxLayout="column">
        <div 
            fxLayout="row"
            fxFlex>
            <div
                class="profile-picture"
                fxFlex="20">
                <nz-avatar 
                    [nzShape]="'square'" 
                    [nzSize]="64" 
                    nzIcon="mdi:camera-plus">
                </nz-avatar>
            </div>
            <div
                *ngIf="member.discordInfo"
                class="profile-name"
                fxLayout="column"
                fxLayoutAlign="center start"
                fxFlex>
                <h3>{{ member.discordInfo.username }}#{{ member.discordInfo.tag }}</h3>
            </div>
        </div>
        <div>
            <span *ngIf="!isEdit">View</span>
            <span *ngIf="isEdit">edit</span>
        </div>
    </div>
</nz-drawer>

<ng-template #header>
    <div 
        fxLayout="row"
        fxLayoutAlign="space-between center">
        <span>View Drawer</span>
    </div>
</ng-template>